<?php
App::uses('PluginInstallShell', 'shells');

class EvSlideshowInstallShell extends PluginInstallShell {

	public $uses = array(
		'EvNavigation.Menu'
	);

	/**
	 * call parent run() This will auto run any migrations
	 *
	 * Use the run() method here to insert any content
	 */
	public function run() {
		parent::run();

		$this->Menu->save(
			array(
				'parent_id' => 1,
				'name' => 'Slideshows',
				'url' => '/admin/ev_slideshow/slideshows',
				'pattern' => '/^\/admin\/ev_slideshow\//',
				'plugin' => 'EvSlideshow',
				'controller' => 'ev_slideshow.slideshows',
				'action' => 'index',
				'class' => 'icon-picture-o',
				'is_active' => 1
			),
			array('deep' => true)
		);
	}
}
